List organization subscriptions
curl --request GET \
--url https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Aegister-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Aegister-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions")
.header("X-Aegister-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Aegister-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"error": 0,
"messages": [],
"total": 20,
"data": [
{
"id": 123,
"organization": 123,
"license": 123,
"data": {},
"expires_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": 1,
"messages": []
}{
"error": 1,
"messages": []
}Subscriptions
List organization subscriptions
List the licenses an organization holds (for example Virtual CISO, VPN or Cloud Defender), each with its expiry date. Requires the Owner role in the organization.
GET
/
api
/
v1
/
organizations
/
{organizationid}
/
subscriptions
List organization subscriptions
curl --request GET \
--url https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Aegister-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Aegister-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions")
.header("X-Aegister-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.aegister.com/api/v1/organizations/{organizationid}/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Aegister-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"error": 0,
"messages": [],
"total": 20,
"data": [
{
"id": 123,
"organization": 123,
"license": 123,
"data": {},
"expires_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": 1,
"messages": []
}{
"error": 1,
"messages": []
}Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
Organization ID.
Query Parameters
Order results by field.
Response
Any value different from 0 indicates an error.
More details can be found in messages.
Required range:
0 <= x <= 0Example:
0
If error is 1, contains zero or more details on the error.
Example:
[]
Total number of items that meet the list filter.
This doesn't represent the number of items inside the data array.
Required range:
x >= 0Examples:
20
30
40
Show child attributes
Show child attributes

